oxigraph-load(1)

NAME
oxigraph-load - Load file(s) into the store

SYNOPSIS
oxigraph load <-l|--location> [-f|--file] [--format] [--non-atomic] [--base] [--lenient] [--graph] [-h|--help]

DESCRIPTION
Load file(s) into the store

Feel free to enable the --lenient option if you know your input is valid to get better performances, or if you want to load slightly invalid files like Wikidata dumps.

Files are loaded atomically, either the file is fully loaded into the store or not at all.

OPTIONS

-l, --location <LOCATION>
    Directory in which Oxigraph data are persisted

-f, --file [<FILE>...]
    File(s) to load

    If multiple files are provided, they are loaded in parallel.

    If no file is given, stdin is used as if it were the input file content. In this case, the content format must be specified using the --format option.

--format <FORMAT>
    The format of the file(s) to load

    It can be an extension like "nt" or a MIME type like "application/n-triples".

    By default, the format is guessed from the loaded file extension.

--non-atomic
    Saves data to the database during loading, instead of only doing it at the end.

    This lowers disk space usage by allowing rocksdb to compact and compress, at the expense of CPU usage, and write amplification.

--base <BASE>
    Base IRI of the file(s) to load

--lenient
    Attempt to keep loading even if the data file is invalid

    This disables most of the validation on RDF content.

--graph <GRAPH>
    Name of the graph to load the data to

    By default, the default graph is used.

    Only available when loading a graph file (N-Triples, Turtle...) and not a dataset file (N-Quads, TriG...).

-h, --help
    Print help (see a summary with '-h')